Skip to main content
GET
/
v1
/
config
/
contexts
/
{contextId}
Get a reconciliation context
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
  "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
  "name": "Bank Reconciliation Q1",
  "type": "1:1",
  "interval": "daily",
  "status": "DRAFT",
  "rateId": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
  "feeToleranceAbs": "0",
  "feeTolerancePct": "0",
  "feeNormalization": "NET",
  "autoMatchOnUpload": false,
  "createdAt": "2026-02-02T13:37:55Z",
  "updatedAt": "2026-02-02T13:37:55Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

contextId
string
required

The unique identifier of the reconciliation context.

Response

Successfully retrieved context

id
string
Example:

"019c96a0-10a0-72d2-9fb0-2b7de8093182"

tenantId
string
Example:

"019c96a0-0a98-7287-9a31-786e0809c769"

name
string
Example:

"Bank Reconciliation Q1"

type
enum<string>

Reconciliation topology (cardinality between sources)

Available options:
1:1,
1:N,
N:M
interval
string
Example:

"daily"

status
enum<string>

Lifecycle status of a reconciliation context

Available options:
DRAFT,
ACTIVE,
PAUSED,
ARCHIVED
rateId
string<uuid>
Example:

"019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b"

feeToleranceAbs
string
Example:

"0"

feeTolerancePct
string
Example:

"0"

feeNormalization
enum<string>
Available options:
NET,
GROSS
Example:

"NET"

autoMatchOnUpload
boolean
Example:

false

createdAt
string
Example:

"2026-02-02T13:37:55Z"

updatedAt
string
Example:

"2026-02-02T13:37:55Z"